Bug 1631045 (CVE-2018-9517) - CVE-2018-9517 kernel: l2tp: Race condition between pppol2tp_session_create() and l2tp_eth_create()
Summary: CVE-2018-9517 kernel: l2tp: Race condition between pppol2tp_session_create() ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-9517
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1631046 1631048 1631049 1637904 1637905 1637906
Blocks: 1631047
TreeView+ depends on / blocked
 
Reported: 2018-09-19 19:51 UTC by Pedro Sampaio
Modified: 2019-11-18 07:55 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A race condition between pppol2tp_session_create() and l2tp_eth_create() in net/l2tp/l2tp_netlink.c was found in the Linux kernel. Calling l2tp_tunnel_find() may result in a new tunnel being created with tunnel id of a previously removed tunnel which wouldn't be protected by the reference counter.
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2029 None None None 2019-08-06 12:04:26 UTC
Red Hat Product Errata RHSA-2019:2043 None None None 2019-08-06 12:06:53 UTC

Description Pedro Sampaio 2018-09-19 19:51:40 UTC
A race condition between pppol2tp_session_create() and l2tp_eth_create() in net/l2tp/l2tp_netlink.c in the Linux kernel. Calling l2tp_tunnel_find() may result in a new tunnel being created with tunnel id of a previous removed tunnel which wouldn't be protected by the reference counter.

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=f026bc29a8e093edfbb2a77700454b285c97e8ad

Comment 1 Pedro Sampaio 2018-09-19 19:52:50 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1631046]

Comment 3 Justin M. Forbes 2018-09-20 12:59:26 UTC
This was fixed for Fedora with the 4.14 rebases.

Comment 7 errata-xmlrpc 2019-08-06 12:04:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2029 https://access.redhat.com/errata/RHSA-2019:2029

Comment 8 errata-xmlrpc 2019-08-06 12:06:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2043 https://access.redhat.com/errata/RHSA-2019:2043

Comment 9 Product Security DevOps Team 2019-08-06 13:19:52 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-9517


Note You need to log in before you can comment on or make changes to this bug.